#!/bin/bash
 
cd "/Users/jack/Documents/Electron/OldCP/release-builds/OldCP-darwin-x64"

echo 'Code-signing Mac full build...'
xattr -cr .
codesign --deep -f -v -s "Developer ID Application: Jack Page" "OldCP.app"
codesign --deep --verify --verbose "OldCP.app"

sleep 3;

echo 'Verifying code sign...'

codesign -dv "OldCP.app"

echo 'Zipping app up'

cd ..
zip -r "OldCP-darwin-x64" "OldCP-darwin-x64"